api.getStores()
Description
Gets an object with the DataStore properties of GanttUsage
api.getStores(): object;
Returns
The method returns an object with the DataStore parameters:
{
data: DataStore // ( object of parameters )
}
Example
The example below shows how to output DataStore to the console:
import React, { useEffect, useRef } from "react";
import { Gantt } from "wx-react-gantt";
import { getData } from "./common/data";
const MyComponent = () => {
const apiRef = useRef();
useEffect(() => {
if (apiRef.current) {
const stores = apiRef.current.getStores();
console.log("DataStore:", stores);
}
}, [apiRef.current]);
return <Gantt ref={apiRef} tasks={data.tasks} links={data.links} />;
};
export default MyComponent;
Related articles:

api.getStores()
Description
Gets an object with the DataStore properties of GanttUsage
api.getStores(): object;
Returns
The method returns an object with the DataStore parameters:
{
data: DataStore // ( object of parameters )
}
Example
The example below shows how to output DataStore to the console:
<script setup>
import { Gantt } from "@svar-ui/vue-gantt";
import { getData } from "./common/data";
const { tasks, links } = getData();
function init(api) {
const stores = api.getStores();
console.log("DataStore:", stores);
}
</script>
<template>
<Gantt :init="init" :tasks="tasks" :links="links" />
</template>
Related articles: